<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <!-- bootstrap style: https://getbootstrap.com/docs/4.3/getting-started/introduction/ -->
    <link rel="stylesheet"
          href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
          crossorigin="anonymous">
    <title>How frequent is this password?</title>
</head>

<body>
<div class="container">
    <div class="card text-center">
        <div class="card-header">
            <h3>DMIA HW_1: How frequent is this password?</h3>
        </div>

        <div class="card-body">
            <blockquote class="blockquote mb-0">
                <p>
                    <small>
                        <a href="https://www.kaggle.com/c/dmia-production-ml-2021-1-passwords/"> Kaggle competition </a>
                    </small>
                </p>
                <form method="POST">
                    <label class="sr-only">Input password</label>
                    <input type="text" class="form-control" name="password" placeholder="Input password here">
                    <button type="submit" class="btn btn-primary btn-block mt-2" name="action">Predict</button>
                </form>

                <form>
                    <div class="form-row mt-5">
                        <div class="col">
                            <label for="password_id">Password</label>
                            <input type="text" class="form-control" id="password_id" placeholder="{{ password }}"
                                   readonly>
                        </div>
                        <div class="col">
                            <label for="prediction_id">Prediction</label>
                            <input type="text" class="form-control" id="prediction_id" placeholder="{{ prediction }}"
                                   readonly>
                        </div>
                    </div>
                </form>
            </blockquote>
        </div>
    </div>
</div>

</body>
</html>
